tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

(pbulk) show compiler and its version on reports



Compiler and its version may vary for pbulk bulkbuild,
especially for various OSen and releases.
But the report only shows whether it is gcc or clang.

I'm using attached changes to have version in its report
(just experimental).

I'd be happy this kind of change be made,
Thanks a lot.
---
mef%NetBSD.org@localhost
Makoto Fujiwara

Index: pkgtools/pbulk/files/pbulk/scripts/create-report-html.awk
===================================================================
RCS file: 
/cvs/cvsroot/pkgsrc/pkgtools/pbulk/files/pbulk/scripts/create-report-html.awk,v
retrieving revision 1.14
diff -u -r1.14 create-report-html.awk
--- pkgtools/pbulk/files/pbulk/scripts/create-report-html.awk   11 Mar 2010 
16:31:43 -0000      1.14
+++ pkgtools/pbulk/files/pbulk/scripts/create-report-html.awk   20 Feb 2014 
02:33:05 -0000
@@ -225,6 +225,8 @@
                        pkgsrc_platform = substr($0, 10)
                else if ($0 ~ "^COMPILER=")
                        pkgsrc_compiler = substr($0, 10)
+               else if ($0 ~ "^COMPILER_VERSION=")
+                       compiler_version = substr($0, 18)
                else if ($0 ~ "^BUILD_START_ISO=")
                        pkgsrc_build_start_iso = substr($0, 17)
                else if ($0 ~ "^BUILD_END_ISO=")
Index: pkgtools/pbulk/files/pbulk/scripts/create-report-txt.awk
===================================================================
RCS file: 
/cvs/cvsroot/pkgsrc/pkgtools/pbulk/files/pbulk/scripts/create-report-txt.awk,v
retrieving revision 1.8
diff -u -r1.8 create-report-txt.awk
--- pkgtools/pbulk/files/pbulk/scripts/create-report-txt.awk    1 Mar 2008 
19:04:37 -0000       1.8
+++ pkgtools/pbulk/files/pbulk/scripts/create-report-txt.awk    20 Feb 2014 
02:33:05 -0000
@@ -64,6 +64,8 @@
                        pkgsrc_platform = substr($0, 10)
                else if ($0 ~ "^COMPILER=")
                        pkgsrc_compiler = substr($0, 10)
+               else if ($0 ~ "^COMPILER_VERSION=")
+                       compiler_version = substr($0, 18)
                else if ($0 ~ "^BUILD_START_ISO=")
                        pkgsrc_build_start_iso = substr($0, 17)
                else if ($0 ~ "^BUILD_START_DIR=")
@@ -122,7 +124,7 @@
        print "========================" > txt_report
        print "" > txt_report
        print pkgsrc_platform > txt_report
-       print "Compiler: " pkgsrc_compiler > txt_report
+       print "Compiler: " compiler_version > txt_report
        print "" > txt_report
        print "Build start: " pkgsrc_build_start_iso > txt_report
        print "Build end:   " pkgsrc_build_end_iso > txt_report
Index: pkgtools/pbulk/files/pbulk/scripts/pre-build
===================================================================
RCS file: /cvs/cvsroot/pkgsrc/pkgtools/pbulk/files/pbulk/scripts/pre-build,v
retrieving revision 1.11
diff -u -r1.11 pre-build
--- pkgtools/pbulk/files/pbulk/scripts/pre-build        23 Nov 2012 12:13:35 
-0000      1.11
+++ pkgtools/pbulk/files/pbulk/scripts/pre-build        20 Feb 2014 02:33:05 
-0000
@@ -84,9 +84,17 @@
 opver=`cd ${pkgsrc}/pkgtools/pkg_install && ${make} show-var 
VARNAME=OS_VERSION`
 platform=`cd ${pkgsrc}/pkgtools/pkg_install && ${make} show-var 
VARNAME=MACHINE_ARCH`
 compiler=`cd ${pkgsrc}/pkgtools/pkg_install && ${make} show-var 
VARNAME=PKGSRC_COMPILER`
+clang_version=`cd ${pkgsrc}/pkgtools/pkg_install && clang --version || echo no 
clang`
+cc_version=`cd ${pkgsrc}/pkgtools/pkg_install && gcc --version || cc --version 
|| echo neither gcc nor cc `
 
 echo "PLATFORM=${opsys} ${opver}/${platform}" > ${loc}/status
 echo "COMPILER=${compiler}" >> ${loc}/status
+if [ ${compiler} = "clang" ] ;then
+echo "COMPILER_VERSION=${clang_version}" >> ${loc}/status
+else
+echo "COMPILER_VERSION=${cc_version}" >> ${loc}/status
+fi
+
 
 date '+%Y-%m-%d %H:%M|%Y%m%d.%H%M' | sed 's/^\(.*\)|\(.*\)$/BUILD_START_ISO=\1\
 BUILD_START_DIR=\2/' >> ${loc}/status



Home | Main Index | Thread Index | Old Index